Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
reports
/
appointments
List Appointments
curl --request GET \
  --url https://api.smarterproctoring.com/v1/installs/{installSid}/reports/appointments \
  --header 'token: <api-key>'
{
  "total": 123,
  "first": "<string>",
  "next": "<string>",
  "prev": "<string>",
  "last": "<string>",
  "count": 123,
  "offset": 123,
  "results": [
    {
      "sid": "<string>",
      "examSid": "<string>",
      "enrollmentSid": "<string>",
      "instructorProctorSid": "<string>",
      "status": "<string>",
      "sessionType": "<string>",
      "schedulingModule": "<string>",
      "proctorReviewProcessSid": "<string>",
      "appointmentDate": "<string>",
      "dateApproved": "<string>",
      "dateScheduled": "<string>",
      "externalAppointmentId": "<string>",
      "externalReservedAppointmentId": "<string>",
      "externalReservedAppointmentExpires": "<string>",
      "recordingStartDate": "<string>",
      "sessionReportCount": 123,
      "series": {},
      "reviewByDate": "<string>",
      "reviewCompletedDate": "<string>",
      "reviewRequired": true,
      "platformVersion": "<string>",
      "systemCheckStartDate": "<string>",
      "systemCheckEndDate": "<string>",
      "mandatoryRoomScanVideo": true,
      "mutedAnnotations": {},
      "exam": {
        "sid": "<string>",
        "courseSid": "<string>",
        "title": "<string>",
        "type": "<string>",
        "description": "<string>",
        "useProctorManager": true,
        "requireApproval": true,
        "enableAppointmentSuggestions": true,
        "url": "<string>",
        "status": "<string>",
        "instructorName": "<string>",
        "courseName": "<string>",
        "totalSessions": 123,
        "needsProctorSessions": 123,
        "platformVersion": "<string>"
      },
      "enrollment": {
        "userSid": "<string>",
        "enrollmentSid": "<string>",
        "courseSid": "<string>",
        "role": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "email": "<string>",
        "synchronization": {
          "failure1": "<string>",
          "failure2": "<string>",
          "failure3": "<string>",
          "failure4": "<string>",
          "lastSync": "<string>"
        },
        "createdDate": "<string>",
        "editDate": "<string>",
        "user": {},
        "course": {}
      },
      "course": {
        "sid": "<string>",
        "title": "<string>",
        "code": "<string>",
        "synchronization": {
          "enrollment": {
            "lastRun": "<string>",
            "lastRunResult": "<string>",
            "nextRun": "<string>"
          }
        },
        "createdDate": "<string>",
        "editDate": "<string>",
        "offering": {
          "sid": "<string>",
          "lastActivityDate": "<string>",
          "title": "<string>",
          "matchStrings": "<string>",
          "startDate": "<string>",
          "endDate": "<string>",
          "createdDate": "<string>",
          "editDate": "<string>"
        }
      },
      "examConfiguration": {
        "sid": "<string>",
        "examSid": "<string>",
        "enrollmentSid": "<string>",
        "examOpenDate": "<string>",
        "examCloseDate": "<string>",
        "scheduleOpenDate": "<string>",
        "scheduleCloseDate": "<string>",
        "password": "<string>",
        "duration": 123,
        "attempts": 123,
        "approved": true,
        "approvedBy": "<string>",
        "requiredSoftware": "<string>",
        "studentNotes": "<string>",
        "permittedBathroomBreak": true,
        "permittedBathroomBreakInformation": "<string>",
        "permittedBlankPaper": true,
        "permittedBlankPaperInformation": "<string>",
        "permittedCalculator": true,
        "permittedCalculatorInformation": "<string>",
        "permittedDictionary": true,
        "permittedDictionaryInformation": "<string>",
        "permittedEarplugs": true,
        "permittedEarplugsInformation": "<string>",
        "permittedFormulaSheet": true,
        "permittedFormulaSheetInformation": "<string>",
        "permittedNotes": true,
        "permittedNotesInformation": "<string>",
        "permittedOtherItems": "<string>",
        "permittedTextbook": true,
        "permittedTextbookInformation": "<string>",
        "permittedWebsites": true,
        "permittedWebsitesInformation": "<string>",
        "synchronization": {
          "exam": {
            "lastRun": "<string>",
            "lastRunResult": "<string>",
            "nextRun": "<string>"
          }
        },
        "proctorNotes": "<string>",
        "proctorTypes": [
          "<string>"
        ],
        "instructorAsProctor": [
          {}
        ],
        "createdDate": "<string>",
        "editDate": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$

Query Parameters

offset
integer

Result offset

Required range: x >= 0
limit
integer

Number of items to return

Required range: x >= 0
courseSid
string

Course sid

Pattern: ^CU[a-f0-9]{32}$
examSid
string

Exam sid

Pattern: ^EX[a-f0-9]{32}$
courseOfferingSid
string

Course offering sid

Pattern: ^CO[a-f0-9]{32}$
type
enum<string>

Type of the appointment

Available options:
b-virtual,
examity,
proctoru,
register-blast,
instructor-as-proctor,
messaging,
ad-hoc,
vtc,
automated
status
enum<string>

Status of the appointment

Available options:
Needs Proctor,
Scheduled,
Cancelled,
In Progress,
Closed
reviewStatus
enum<string>

If the session needs to be reviewed and/or if it has been reviewed.

Available options:
pending,
complete,
not-required
examStatus
enum<string>

Status of the exam

Available options:
active,
draft,
deleted
appointmentAfter
string

Appointments after date

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

appointmentBefore
string

Appointments before date

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

learnerFirstName
string

learner first name

Pattern: ^[^%]*$
learnerLastName
string

Learners last name

Pattern: ^[^%]*$
learnerEmail
string

Learners email

Pattern: ^[^%]*$
learnerSid
string

Learners sid

Pattern: ^[^%]*$
courseTitle
string

Course title

Pattern: ^[^%]*$
examTitle
string

Exam title

Pattern: ^[^%]*$

Response

200 - application/json

Successful

total
number | null
first
string | null
next
string | null
prev
string | null
last
string | null
count
number | null
offset
number | null
results
object[]